## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           opustags
Version:        1.10.1
Release:        %autorelease
Summary:        Ogg Opus tags editor
License:        BSD-3-Clause
URL:            https://github.com/fmang/opustags

Source:         %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0:         0001-Fix-out-of-bounds-access.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libogg-devel >= 1.3.3

BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(utf8)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Symbol)
BuildRequires:  ffmpeg-free

%description
Opustags allows you to view and edit Ogg Opus comments. It supports the
following features:
* interactive editing using your preferred text editor,
* batch editing with command-line flags,
* tags exporting and importing through text files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
rm -r %{buildroot}/%{_docdir}/opustags

%check
%cmake_build --target check

%files
%{_bindir}/opustags
%license LICENSE
%{_mandir}/man1/opustags.1.gz

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 05 2024 Marian Koncek <mkoncek@redhat.com> - 1.10.1-1
- Initial import
## END: Generated by rpmautospec
